Loading...
Searching...
No Matches
morleybasis.hh File Reference

This file provides an implementation of the quadratic Morley finite element in 1 to 3 dimensions. More...

`#include <algorithm>`
`#include <type_traits>`
`#include <vector>`
`#include <array>`
`#include <bitset>`
`#include <dune/common/boundschecking.hh>`
`#include <dune/common/exceptions.hh>`
`#include <dune/common/fvector.hh>`
`#include <dune/grid/common/mcmgmapper.hh>`
`#include <dune/grid/common/rangegenerators.hh>`
`#include <dune/localfunctions/common/localbasis.hh>`
`#include <dune/localfunctions/common/localfiniteelementtraits.hh>`
`#include <dune/localfunctions/common/localkey.hh>`
`#include <dune/functions/analyticfunctions/monomialset.hh>`
`#include <dune/functions/common/densevectorview.hh>`
`#include <dune/functions/common/squeezetensor.hh>`
`#include <dune/functions/functionspacebases/cubichermitebasis.hh>`
`#include <dune/functions/functionspacebases/defaultglobalbasis.hh>`
`#include <dune/functions/functionspacebases/functionaldescriptor.hh>`
`#include <dune/functions/functionspacebases/leafprebasismappermixin.hh>`
`#include <dune/functions/functionspacebases/nodes.hh>`
`#include <dune/functions/functionspacebases/transformedfiniteelementmixin.hh>`

Go to the source code of this file.

## Classes

class | Dune::Functions::MorleyNode< GV, R >
class | Dune::Functions::MorleyPreBasis< GV, R >
| A pre-basis for a Morleybasis. More...

## Namespaces

namespace | Dune
namespace | Dune::Functions
namespace | Dune::Functions::BasisFactory

## Typedefs

template<class GV, class R = double>
using | Dune::Functions::MorleyBasis = DefaultGlobalBasis<MorleyPreBasis<GV, R> >
| Nodal basis of a scalar quadratic Morley finite element space.

## Functions

template<class R = double>
auto | Dune::Functions::BasisFactory::morley ()
| construct a PreBasisFactory for the Morley Finite Element

## Detailed Description

This file provides an implementation of the quadratic Morley finite element in 1 to 3 dimensions.

The implementation is based on [Robert Kirby, A general approach to transforming finite elements, 2018]. It contains in the following order:

- A GlobalBasis typedef MorleyBasis
- A template H2LocalBasisTraits, extending the dune-localfunctions LocalBasisTraits by an exported Hessiantype
- A template MorleyLocalFiniteElement providing an implementation of the LocalFiniteElement interface, along with its subparts (Impl namespace)
- A template MorleyNode
- A template MorleyPreBasis
- A factory morley() in the BasisFactory namespace